## cong-editor-node-document

cong-editor-node-document —

## Synopsis

    #define     CONG_EDITOR_NODE_DOCUMENT       (obj)
    #define     CONG_EDITOR_NODE_DOCUMENT_CLASS (klass)
    #define     IS_CONG_EDITOR_NODE_DOCUMENT    (obj)
    GType       cong_editor_node_document_get_type
                                                (void);
    CongEditorNodeDocument* cong_editor_node_document_construct
                                                (CongEditorNodeDocument *editor_node_document,
                                                 CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);
    CongEditorNode* cong_editor_node_document_new
                                                (CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

## Description

## Details

### CONG_EDITOR_NODE_DOCUMENT()

    #define CONG_EDITOR_NODE_DOCUMENT(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_NODE_DOCUMENT_TYPE, CongEditorNodeDocument)

`obj` : |

### CONG_EDITOR_NODE_DOCUMENT_CLASS()

    #define CONG_EDITOR_NODE_DOCUMENT_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_NODE_DOCUMENT_TYPE, CongEditorNodeDocumentClass)

`klass` : |

### IS_CONG_EDITOR_NODE_DOCUMENT()

    #define IS_CONG_EDITOR_NODE_DOCUMENT(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_NODE_DOCUMENT_TYPE)

`obj` : |

### cong_editor_node_document_get_type ()

    GType       cong_editor_node_document_get_type
                                                (void);

Returns : |

### cong_editor_node_document_construct ()

    CongEditorNodeDocument* cong_editor_node_document_construct
                                                (CongEditorNodeDocument *editor_node_document,
                                                 CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

TODO: Write me

`editor_node_document` : |
`widget` : |
`traversal_node` : |
Returns : |

### cong_editor_node_document_new ()

    CongEditorNode* cong_editor_node_document_new
                                                (CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

TODO: Write me

`widget` : |
`traversal_node` : |
Returns : |